﻿var num = 0;
var t_num = 0;
var BALL_HEIGHT = 28;
var COLUMN_HEIGHT = 440;

$(document).ready(function() {
  try{
    new alienEye(123,98,15,"app");
    new alienEye(130,98,15,"app");
  }catch(err){}
  createNumber();
  
  $("#getNumber").focus(function() {
    $(this).val("");
  });
});

function createNumber(){
  $("#b_ricomincia").trigger("click");
	t_num = Math.ceil(Math.random() * 500); //1-500
  
  c_num = "000" + String(t_num);
  c_num = c_num.slice(-3);
 
  for(i=0; i<parseFloat(c_num.split("")[0]); i++){
    addPawnTo(2,i);
  }

  for(i=0; i<parseFloat(c_num.split("")[1]); i++){
    addPawnTo(1,i);
  }  
  
  for(i=0; i<parseFloat(c_num.split("")[2]); i++){
    addPawnTo(0,i);
  }    
}

function addPawnTo(column,delay){
	if($("#c-" + column + " div.pawn").length<9){
		num += Math.pow(10,column);
		var pawn = $('<div class="pawn">');
    pawn.addClass("c"+column);
    pawn.fadeTo(0,0);
		pawn.css("bottom", COLUMN_HEIGHT-BALL_HEIGHT);
		$("#c-" + column).append(pawn);
    pawn.delay(delay*200).animate({
			bottom: BALL_HEIGHT * parseFloat(num.toString().split("").reverse()[column]) - (BALL_HEIGHT-54),
      opacity:1
		  }, 1000);
  }
}

function playSound(_id){
  $.each($('audio'), function () {
      document.getElementById($(this).attr("id")).pause();
      try {
        document.getElementById($(this).attr("id")).currentTime = 0;     
      } catch (e) {
        // iOS bug
      }      
  });
  document.getElementById(_id).play();
}

$("#b_fatto").click(function(){
	if(parseFloat($("#getNumber").val()) == t_num){
		$("#result").show().html("BENE!");
		$("#monster").css("background-position","0px 440px");
		playSound("correct");
	}else{
		$("#result").show().html("RIPROVA");
		$("#monster").css("background-position","0px 220px");
		playSound("fail");
	}
});

$("#b_soluzione").click(function(){
		$("#result").show().html(t_num);
    $("#monster").css("background-position","0px 440px");
});

$("#b_ricomincia").click(function(){
	$("#getNumber").val("");
  $("#getNumber").focus();
  $("#result").hide().html("");
  $("#monster").css("background-position","0px 0px");  
});

$("#b_new").click(function(){
  $("#b_ricomincia").trigger("click");
	num = 0;
  $("div.pawn").remove();
  createNumber();
});

$("a.button, #b_istruzioni").mouseover(function() {
  playSound("pop");
});