﻿var num = 0;
var t_num = 0;
var BALL_HEIGHT = 28;
var COLUMN_HEIGHT = 440;

$(document).ready(function() {
  try{
    new alienEye(123,98,15,"app");
    new alienEye(130,98,15,"app");
  }catch(err){}
  createNumber();
});

function createNumber(){
  t_num = Math.ceil(Math.random() * 500); //1-500
  $("#targetNumber").html(t_num); 
  $("#b_ricomincia").trigger("click");
}

function createSolution(){
  c_num = "000" + String(t_num);
  c_num = c_num.slice(-3); 
 
  for(i=0; i<parseFloat(c_num.split("")[0]); i++){
    var pawn = $('<div class="pawn">');
    pawn.addClass("c2").css("left",240).css("bottom",BALL_HEIGHT*i+54);
    $("#solution").append(pawn);
  }

  for(i=0; i<parseFloat(c_num.split("")[1]); i++){
    var pawn = $('<div class="pawn">');
    pawn.addClass("c1").css("left",440).css("bottom",BALL_HEIGHT*i+54);
    $("#solution").append(pawn);
  }
  
  for(i=0; i<parseFloat(c_num.split("")[2]); i++){
    var pawn = $('<div class="pawn">');
    pawn.addClass("c0").css("left",640).css("bottom",BALL_HEIGHT*i+54);
    $("#solution").append(pawn);
  }  
}

function addPawnTo(column){
  // Reset Monster
  $("#result").hide().html("");
  $("#monster").css("background-position","0px 0px");
  
	if($("#c-" + column + " div.pawn").length<9){
		num += Math.pow(10,column);
		var pawn = $('<div class="pawn">');
    pawn.addClass("c"+column);
    pawn.fadeTo(0,0);
		pawn.css("bottom", COLUMN_HEIGHT-BALL_HEIGHT);
		$("#c-" + column).append(pawn);
    pawn.animate({
			bottom: BALL_HEIGHT * parseFloat(num.toString().split("").reverse()[column]) - (BALL_HEIGHT-54),
      opacity:1
		  }, 750); 
  }
}

function removePawnFrom(column){
  // Reset Monster
  $("#result").hide().html("");
  $("#monster").css("background-position","0px 0px");
  
	if($("#c-" + column + " div.pawn").length>0){
		$("#c-" + column + " div.pawn").last().remove();
		num -= Math.pow(10,column);
	}
}

function playSound(_id){
  $.each($('audio'), function () {
      document.getElementById($(this).attr("id")).pause();
      try {
        document.getElementById($(this).attr("id")).currentTime = 0;     
      } catch (e) {
        // iOS bug
      }      
  });
  document.getElementById(_id).play();
}

$("#b_fatto").click(function(){
	if(num == t_num){
		$("#result").show().html("BENE!");
		$("#monster").css("background-position","0px 440px");
		$("div.control").hide();
		playSound("correct");
	}else{
		$("#result").show().html("RIPROVA");
		$("#monster").css("background-position","0px 220px");
		playSound("fail");
	}
});

$("#b_soluzione").click(function(){
		$("#solution").fadeToggle()
});

$("#b_ricomincia").click(function(){
  num = 0;
  $("div.pawn").remove();
  $("div.control").show();
  $("#result").hide().html("");
  $("#monster").css("background-position","0px 0px");  
  $("#solution").hide();
  createSolution();
});

$("#b_new").click(function(){
  $("div.pawn").remove();
  createNumber();
});

$("a.button, #b_istruzioni, div.control").mouseover(function() {
  playSound("pop");
});